# Create Project

Creates a new project within a given product. If the project already exists it returns the existing project.

Endpoint: POST /api/v2.0/products/{productToken}/projects
Version: 2.0
Security: bearer-key

## Path parameters:

  - `productToken` (string, required)
    product UUID (by running Entities - Organization > Get Organization Products) or Product Token (from the Mend SCA App: Integrate tab > Product Token).

## Request fields (application/json):

  - `projectName` (string, required)
    Example: "Project A"

  - `projectDescription` (string)
    Example: "Description for project"

## Response 200 fields (application/json):

  - `additionalData` (object)
    + created: Indicates whether the requested project was successfully created or if it already exists. 
 When “true”, this signifies the project was successfully created. When “false”, this indicates the project already exists
    Example: {"created":"true"}

  - `supportToken` (string)
    Example: "1171c60d"

  - `retVal` (object)

  - `retVal.uuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

  - `retVal.name` (string)
    Example: "My Project"

  - `retVal.path` (string)
    Example: "My Product"

  - `retVal.productName` (string)
    Example: "My Product"

  - `retVal.productUuid` (string)
    Example: "123e4567-e89b-12d3-a456-426655440000"

## Response 400 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"

## Response 403 fields (*/*):

  - `supportToken` (string)
    Example: "1171c60d"


